Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deSceneNode.cpp File Reference

`#include "deScene_priv.hpp"`
`#include "deMath.hpp"`
`#include "deCamera.hpp"`
`#include "dePortal.hpp"`
`#include "deRender.hpp"`
`#include "deBrush.hpp"`
`#include "deBitmap.hpp"`

Include dependency graph for deSceneNode.cpp:

## Compounds
struct | deSceneRoom_Header_t
## Defines
#define | SHOW_SPHERES (0)
## Functions
| WorldObjectClassImp (deSceneRoom)
deBoolean | IdeSceneRoom_Initialize ()
void | IdeSceneRoom_ShutDown ()
long | IdeSceneRoom_GetWOInterfaceID ()
| Get the IdeSceneRoom WorldObject interface ID.
DESCENE_API IdeSceneRoom * | IdeSceneRoom_CreateRoom ()
| create an instance of IdeSceneRoom
DESCENE_API IdeSceneSky * | IdeSceneObject_CreateSceneSky ()
| create an instance of IdeSceneSky
DESCENE_API IdeSceneTerrain * | IdeSceneObject_CreateSceneTerrain ()
| create an instance of IdeSceneTerrain
DESCENE_API IdeSceneABT * | IdeSceneObject_CreateSceneABT ()
| create an instance of IdeSceneABT
## Variables
long | s_SceneRoomWOInterfaceID = -1
const deSceneRoom_Header_t | deSceneRoom_Header = {0,1}

## Define Documentation

#define SHOW_SPHERES (0)

## Function Documentation

DESCENE_API IdeSceneABT* IdeSceneObject_CreateSceneABT | ( |  | ) |

| create an instance of IdeSceneABT

DESCENE_API IdeSceneSky* IdeSceneObject_CreateSceneSky | ( |  | ) |

| create an instance of IdeSceneSky

DESCENE_API IdeSceneTerrain* IdeSceneObject_CreateSceneTerrain | ( |  | ) |

| create an instance of IdeSceneTerrain

DESCENE_API IdeSceneRoom* IdeSceneRoom_CreateRoom | ( |  | ) |

| create an instance of IdeSceneRoom

long IdeSceneRoom_GetWOInterfaceID | ( |  | ) |

| Get the IdeSceneRoom WorldObject interface ID.

deBoolean IdeSceneRoom_Initialize | ( |  | ) |

void IdeSceneRoom_ShutDown | ( |  | ) |

WorldObjectClassImp | ( | deSceneRoom |  | ) |

## Variable Documentation

const deSceneRoom_Header_t deSceneRoom_Header = {0,1}`[static]`

long s_SceneRoomWOInterfaceID = -1`[static]`